LINUX.ORG.RU
ФорумTalks

Патрик Волькердинг рассказал почему дистрибутивы не переходят полностью на ImageMagick 7

 , ,


0

2

Сабж. Во всём, оказывается, виноват Emacs.

Emacs has no support for ImageMagick 7. Other distributions have attempted to patch Emacs to support it and have ended up reverting to ImageMagick 6 due to instability.

As long as ImageMagick 6 is still getting upstream support I don't see an issue with sticking with it. We know it works.

★★★★★

Ответ на: комментарий от Deleted

Ага, у нас поломанные Emacs'ы. Не то что в Слаке.

$ rpm -q imagemagick
imagemagick-7.0.8.44-1.mga7.tainted

saahriktu ★★★★★ ()

Что-то я не понял: а какая связь между эмаксом и имиджмейджиком? Первое — типа операционная система, второе — фиговина для редактирования картинок...

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от Eddy_Em

второе — фиговина для редактирования картинок

Это также и библиотека для работы с графикой. В тех дистрибутивах, где пакеты крошат на мелкие пакетики, эта библиотека лежит по соседним пакетикам:

$ rpm -qa | grep lib64magick
lib64magick-devel-7.0.8.44-1.mga7.tainted
lib64magick-7Q16HDRI_6-7.0.8.44-1.mga7.tainted
lib64magick++-7Q16HDRI_4-7.0.8.44-1.mga7.tainted
А в Slackware, как обычно, большие пакеты.

saahriktu ★★★★★ ()
Ответ на: комментарий от Eddy_Em

прикинь, этот чертов комбаин некоторые используют как просмоторщик изображений, а некоторые даже как управлялку для аудио и видео контента, а еще, стыдно сказать, как ide

Silerus ★★★ ()
Ответ на: комментарий от Eddy_Em

Он в current (будущей 15) уже реабилитировался — можно из коробки ставить с PA, можно без него.
В 14.2 PA включили как реакцию на выпиливание ALSA из Bluez5. А поскольку в Bluez поддержка варианта без PA таки вернулась, вернул и вариант установки без PA (альтернативные пакеты без зависимости от PA в extra/).

bormant ★★★★★ ()
Последнее исправление: bormant (всего исправлений: 1)
Ответ на: комментарий от Hertz
root-> pacman -Qs libmagick
local/imagemagick 7.0.8.62-1
    An image viewing/manipulation program

root-> pacman -S emacs
разрешение зависимостей...
проверка конфликтов...

Пакет (5)    Новая версия  Изменение размера  Размер загрузки

extra/libmagick6  6.9.10.64-1            9,18 MiB         2,16 MiB
extra/libotf      0.9.16-1               0,23 MiB         0,08 MiB
extra/m17n-db     1.8.0-2                6,13 MiB         1,23 MiB
extra/m17n-lib    1.8.0-5                0,88 MiB         0,29 MiB
extra/emacs       26.3-1               127,04 MiB        38,27 MiB

Будет загружено:   42,01 MiB
Будет установлено:  143,44 MiB

Behem0th ★★★★★ ()
Ответ на: комментарий от Eddy_Em

Черт, emacs умеет показывать изображения? Вах…

Само собой, Emacs умеет всё. Некоторые вещи он умеет плохо, но всё равно умеет.

vyazovoi ★★★ ()
Ответ на: комментарий от Eddy_Em

Там еще браузер есть, как встроенный так и webkit2gtk.

Deleted ()
Ответ на: комментарий от deep-purple

Издержки сочетания толстых пальцев и маленьких кнопочек экранной клавиатуры. Не люблю.

А по сути, спросите у немцев, как они читают букву v.

akk ★★★★★ ()
Ответ на: комментарий от Thetan

потому, что ренаульт знает каждый идиот, а волка динго - нет.

deep-purple ★★★★★ ()
Ответ на: комментарий от Laudanum

А я читал название Азербайджана (Azərbaycan) как «Азербайкан».

Thetan ★★★ ()

Ээээ... А что мешает сделать пакет с шестым имаджмаджиком только для емакса?

kirk_johnson ★☆ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.